Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Related Pages

# RequestProcessingPolicyC.h File Reference

`#include "ace/config-all.h"`
`#include "portableserver_export.h"`
`#include "tao/ORB.h"`
`#include "tao/SystemException.h"`
`#include "tao/Environment.h"`
`#include "tao/Object.h"`
`#include "tao/Objref_VarOut_T.h"`
`#include "tao/PolicyC.h"`

Include dependency graph for RequestProcessingPolicyC.h:

This graph shows which files directly or indirectly include this file:

## Namespaces
namespace | PortableServer
namespace | TAO
## Classes
interface | PortableServer::RequestProcessingPolicy
struct | TAO::Objref_Traits< ::PortableServer::RequestProcessingPolicy >
## Defines
#define | TAO_EXPORT_MACRO TAO_PortableServer_Export
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY__VAR_OUT_CH_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY_CH_
#define | _PORTABLESERVER_REQUESTPROCESSINGPOLICY__TRAITS_
## Typedefs
typedef RequestProcessingPolicyValue & | RequestProcessingPolicyValue_out
typedef RequestProcessingPolicy * | RequestProcessingPolicy_ptr
typedef TAO_Objref_Var_T< RequestProcessingPolicy > | RequestProcessingPolicy_var
typedef TAO_Objref_Out_T< RequestProcessingPolicy > | RequestProcessingPolicy_out
## Enumerations
enum | RequestProcessingPolicyValue { USE_ACTIVE_OBJECT_MAP_ONLY, USE_DEFAULT_SERVANT, USE_SERVANT_MANAGER }
## Functions
TAO_PortableServer_Export CORBA::Boolean | operator<< (TAO_OutputCDR &, PortableServer::RequestProcessingPolicyValue)
TAO_PortableServer_Export CORBA::Boolean | operator>> (TAO_InputCDR &, PortableServer::RequestProcessingPolicyValue &)

## Define Documentation

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY__TRAITS_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY__VAR_OUT_CH_

#define _PORTABLESERVER_REQUESTPROCESSINGPOLICY_CH_

#define TAO_EXPORT_MACRO TAO_PortableServer_Export

## Typedef Documentation

typedef TAO_Objref_Out_T< RequestProcessingPolicy > PortableServer::RequestProcessingPolicy_out

typedef RequestProcessingPolicy* PortableServer::RequestProcessingPolicy_ptr

typedef TAO_Objref_Var_T< RequestProcessingPolicy > PortableServer::RequestProcessingPolicy_var

typedef RequestProcessingPolicyValue& PortableServer::RequestProcessingPolicyValue_out

## Enumeration Type Documentation

enum RequestProcessingPolicyValue

  | Enumeration values:
  USE_ACTIVE_OBJECT_MAP_ONLY |
  USE_DEFAULT_SERVANT |
  USE_SERVANT_MANAGER |

## Function Documentation

TAO_PortableServer_Export CORBA::Boolean operator<< | ( | TAO_OutputCDR & | ,
|  | PortableServer::RequestProcessingPolicyValue |
| ) |

TAO_PortableServer_Export CORBA::Boolean operator>> | ( | TAO_InputCDR & | ,
|  | PortableServer::RequestProcessingPolicyValue & |
| ) |